Need help with my server to get it to run.
#1

Ok so i have not done scripting on here for a very very long time and i decided that it was time i got my very old server back up to date and running again for one of my communities and well the outcome.... not what was expected at all really.

So here is what my Log is showing but i have tried to update all the files possibly that i could and i just can't seem to get it to work so if anyone could help me please feel free to and thank you very much for your time.

Код:
----------
Loaded log file: "server_log.txt".
----------

SA-MP Dedicated Server
----------------------
v0.3.7-R2, ©2005-2015 SA-MP Team

[11:53:12] 
[11:53:12] Server Plugins
[11:53:12] --------------
[11:53:12]  Loading plugin: streamer.dll
[11:53:12] 

*** Streamer Plugin v2.7.8 by Incognito loaded ***

[11:53:12]   Loaded.
[11:53:12]  Loading plugin: sscanf.dll
[11:53:12]   Failed.
[11:53:12]  Loading plugin: xml.dll
[11:53:12]   Failed.
[11:53:12]  Loaded 1 plugins.

[11:53:12] 
[11:53:12] Filterscripts
[11:53:12] ---------------
[11:53:12]   Loading filterscript 'buttons.amx'...
[11:53:12]   Loading filterscript 'Anims.amx'...
[11:53:12]   Loading filterscript 'knpc.amx'...
[11:53:12]   Loading filterscript 'Firework.amx'...
[11:53:12] *** Streamer Plugin: Obsolete or invalid native "Streamer_RegisterInterface" found (script might need to be recompiled with the latest include file)
[11:53:12] *** Streamer Plugin: Obsolete or invalid native "Streamer_AddPlayer" found (script might need to be recompiled with the latest include file)
[11:53:12] *** Streamer Plugin: Obsolete or invalid native "Streamer_RemovePlayer" found (script might need to be recompiled with the latest include file)
[11:53:12] *** Streamer Plugin: Obsolete or invalid native "Streamer_VerifyPickup" found (script might need to be recompiled with the latest include file)
[11:53:12] *** Streamer Plugin: Obsolete or invalid native "Streamer_VerifyCheckpoint" found (script might need to be recompiled with the latest include file)
[11:53:12] *** Streamer Plugin: Include file version (unknown version) does not match plugin version (0x278001) (script might need to be recompiled with the latest include file)
[11:53:12]   Loading filterscript 'gcustom.amx'...
[11:53:12]   Unable to load filterscript 'gcustom.amx'.
[11:53:12]   Loading filterscript 'vacations.amx'...
[11:53:12]   Unable to load filterscript 'vacations.amx'.
[11:53:12]   Loading filterscript '*******.amx'...
[11:53:12]   Unable to load filterscript '*******.amx'.
[11:53:12]   Loading filterscript 'F_streamer.amx'...
[11:53:12] F_Streamer Loaded successful.
[11:53:12]   Loading filterscript 'maploader.amx'...
[11:53:12]   Unable to load filterscript 'maploader.amx'.
[11:53:12]   Loading filterscript 'Mapv1.amx'...
[11:53:12]   Unable to load filterscript 'Mapv1.amx'.
[11:53:12]   Loading filterscript 'notepad.amx'...
[11:53:12]   Unable to load filterscript 'notepad.amx'.
[11:53:12]   Loading filterscript 'Weaponholder.amx'...
[11:53:12]   Unable to load filterscript 'Weaponholder.amx'.
[11:53:12]   Loading filterscript 'enforcer.amx'...
[11:53:12]   enforcer Interior Loaded!
[11:53:12]   Loading filterscript 'dealer.amx'...
[11:53:12]   Loaded 7 filterscripts.

[11:53:12] Script[gamemodes/LSRP.amx]: Run time error 19: "File or function is not found"
[11:53:12] Number of vehicle models: 0
I have re-compiled my files i have tried most things just so you all know. This works on my pc but refuses to work on my VPS...
Reply
#2

update: streamer, sscanf, xml... they didnt load, expect streamer but its recommended to update him too...
Reply
#3

Is there any chance you know where the newest up to date files are then? I have tried everywhere.
Reply
#4

just use ******...
SSCANF: https://sampforum.blast.hk/showthread.php?tid=570927
XML: https://sampforum.blast.hk/showthread.php?tid=150755
STREAMER: https://sampforum.blast.hk/showthread.php?tid=102865
Reply
#5

https://github.com/eider-i128/sscanf (sscanf made by ******)

i recommend u to download the emmet's one ( link : https://sampforum.blast.hk/showthread.php?tid=570927)

streamer made by Incognito : https://sampforum.blast.hk/showthread.php?tid=102865

XML made by zeex : https://sampforum.blast.hk/showthread.php?tid=150755
Reply
#6

I will give it all a try and i will let you know upon the outcome.
Reply
#7

The only file i have no clue where it goes is the SRC file, any tips?
Reply
#8

OK so i am going to try the Sscanf 2.8.2 as that ones is not so messy, if it does not work then i will try the 3.0 one again.


EDIT:

Код:
 
----------
Loaded log file: "server_log.txt".
----------

SA-MP Dedicated Server
----------------------
v0.3.7-R2, ©2005-2015 SA-MP Team

[12:52:49] 
[12:52:49] Server Plugins
[12:52:49] --------------
[12:52:49]  Loading plugin: streamer.dll
[12:52:49] 

*** Streamer Plugin v2.7.8 by Incognito loaded ***

[12:52:49]   Loaded.
[12:52:49]  Loading plugin: sscanf.dll
[12:52:49]   Failed.
[12:52:49]  Loading plugin: xml.dll
[12:52:49]   Loaded.
[12:52:49]  Loaded 2 plugins.

[12:52:49] 
[12:52:49] Filterscripts
[12:52:49] ---------------
[12:52:49]   Loading filterscript 'buttons.amx'...
[12:52:49]   Loading filterscript 'Anims.amx'...
[12:52:49]   Loading filterscript 'knpc.amx'...
[12:52:49]   Loading filterscript 'Firework.amx'...
[12:52:49] *** Streamer Plugin: Obsolete or invalid native "Streamer_RegisterInterface" found (script might need to be recompiled with the latest include file)
[12:52:49] *** Streamer Plugin: Obsolete or invalid native "Streamer_AddPlayer" found (script might need to be recompiled with the latest include file)
[12:52:49] *** Streamer Plugin: Obsolete or invalid native "Streamer_RemovePlayer" found (script might need to be recompiled with the latest include file)
[12:52:49] *** Streamer Plugin: Obsolete or invalid native "Streamer_VerifyPickup" found (script might need to be recompiled with the latest include file)
[12:52:49] *** Streamer Plugin: Obsolete or invalid native "Streamer_VerifyCheckpoint" found (script might need to be recompiled with the latest include file)
[12:52:49] *** Streamer Plugin: Include file version (unknown version) does not match plugin version (0x278001) (script might need to be recompiled with the latest include file)
[12:52:49]   Loading filterscript 'gcustom.amx'...
[12:52:49]   Unable to load filterscript 'gcustom.amx'.
[12:52:49]   Loading filterscript 'vacations.amx'...
[12:52:49]   Unable to load filterscript 'vacations.amx'.
[12:52:49]   Loading filterscript '*******.amx'...
[12:52:49]   Unable to load filterscript '*******.amx'.
[12:52:49]   Loading filterscript 'F_streamer.amx'...
[12:52:49] F_Streamer Loaded successful.
[12:52:49]   Loading filterscript 'maploader.amx'...
[12:52:49]   Unable to load filterscript 'maploader.amx'.
[12:52:49]   Loading filterscript 'Mapv1.amx'...
[12:52:49]   Unable to load filterscript 'Mapv1.amx'.
[12:52:49]   Loading filterscript 'notepad.amx'...
[12:52:49]   Unable to load filterscript 'notepad.amx'.
[12:52:49]   Loading filterscript 'Weaponholder.amx'...
[12:52:49]   Unable to load filterscript 'Weaponholder.amx'.
[12:52:49]   Loading filterscript 'enforcer.amx'...
[12:52:49]   enforcer Interior Loaded!
[12:52:49]   Loading filterscript 'dealer.amx'...
[12:52:49]   Loaded 7 filterscripts.

[12:52:49] Script[gamemodes/LSRP.amx]: Run time error 19: "File or function is not found"
[12:52:49] Number of vehicle models: 0
Ok so that one didn't work for sure, now to re-try the 3.0
Reply
#9

All scripts must be identical streamer.inc
Reply
#10

The 2.8 did not work and the 3.0 did not work either way....
Reply


Forum Jump:


Users browsing this thread: